//  main: main.less, out: ../style.css

// ====================================================================================================================================
// VARIABLES
// ====================================================================================================================================

// colour
@color__black: #000000;
@color__white: #ffffff;
@color__primary: #00305A;
@color__secondary: #1E73BE;
@color__link: #50c6e3;
@color__light: #cdcdcd;
@color__widget: #005F76;

@color__text: #333333;
@color__footer: @color__white;
@color__alpha: rgba(24, 32, 48, 0.95);

@shadow: 0 0 30px 0 rgba(0,23,42,0.50);
@shadow-hover: 0 0 20px 0 rgba(0,23,42,0.70);


// button + input
@button__color: @color__text;
@button__background: @color__secondary;
@button__height: 40px;
@button__padding: 0 10px;
@button__size: @size__s;

@input__height: @button__height;
@input__border: 1px solid @color__white;
@input__background: fade(@color__secondary, 15%);
@input__size: @size__s;

// font
@size__xs: 12px;
@size__s: 14px;
@size__r: 16px;
@size__m: 18px;
@size__l: 22px;
@size__xl: 26px;
@size__xxl: 48px;
@size__xxxl: 72px;

@font_w__l: 300;
@font_w__r: 400;
@font_w__b: 700;

@font_line_h__xs: 1;
@font_line_h__s: 1.4;
@font_line_h__r: 1.6;
@font_line_h__l: 2;

// misure
@margin__s: 20px;
@margin__m: 50px;
@margin__l: 70px;
@margin__xl: 120px;

// layout
@maxWidthContainer: 960px;
@header__h: 100px;
@header__h_phone: 70px;
@navmenu__w: 700px;
@navItem__h: @header__h;
@navItem__h_phone: 20px;
@sidebar__w: 350px;
@topPaddingBody: @header__h;
@topPaddingBody_phone: @header__h_phone;